package com.zanxiang.game.data.serve.service;

import com.zanxiang.game.data.serve.pojo.dto.RoleCombatRankingDTO;
import com.zanxiang.game.data.serve.pojo.dto.RoleRechargeRankingDTO;
import com.zanxiang.game.data.serve.pojo.dto.SendMsgTaskDto;
import com.zanxiang.game.data.serve.utils.Page;

import java.util.Map;

public interface IRoleManageService {

    Page<Map> getRoleRechargeRanking(RoleRechargeRankingDTO dto);

    Page<Map> getRoleCombatRanking(RoleCombatRankingDTO dto);

    /**
     * 创建发送消息任务
     * @param dto
     */
    void createSendMsgTask(SendMsgTaskDto dto);
}
